Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drools.conf
Enum AssertBehaviorOption

    java.lang.Object
      java.lang.Enum<AssertBehaviorOption>
          org.drools.conf.AssertBehaviorOption

All Implemented Interfaces:
  Serializable, Comparable<AssertBehaviorOption>, KnowledgeBaseOption, Option, SingleValueKnowledgeBaseOption

    public enum AssertBehaviorOption

extends Enum<AssertBehaviorOption>
implements SingleValueKnowledgeBaseOption

An Enum for AssertBehavior option. drools.assertBehaviour = <identity|equality> DEFAULT = identity

Enum Constant Summary
`EQUALITY`
`IDENTITY`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the sequential mode option

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`static AssertBehaviorOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AssertBehaviorOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IDENTITY

    public static final AssertBehaviorOption IDENTITY

### EQUALITY

    public static final AssertBehaviorOption EQUALITY

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the sequential mode option

  See Also:
    Constant Field Values

Method Detail

### values

    public static AssertBehaviorOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AssertBehaviorOption c : AssertBehaviorOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AssertBehaviorOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.